#!/bin/bash

#############################################################################
# easyinfo2 v 0.0.1 (GPL)
# by sinai (www.easy-vdr.de)
#
# easyinfo2.sh kann mit folgenden Parameter aufgerufen werden:
# ---------------------------------------------------------------------------
# -help
# gibt Hilfe aus
#

### Variablen


. /usr/lib/vdr/easyvdr-config-loader

# Version
EasyInfoVersion="0.0.1"

### Funktionen

# help ######################################################################
function hilfe {
        echo "############################################################"
        echo "#                                                          #"
        echo "# easyInfo2 Version: $EasyInfoVersion                                 #"
        echo "# by sinai - sinai@easy-vdr.de - 2011                      #"
        echo "#                                                          #"
        echo "############################################################"
        echo "# Aufruf durch ./easyinfo2.sh <option>                     #"
        echo "#                                                          #"
        echo "# options:                                                 #"
        echo "#                                                          #"
        echo "# net - zeigt alle relevanten Logfiles zu Netzwerk an      #"
        echo "# audio -  zeigt alle relevanten Logfiles zu Audio an      #"
        echo "# vdr - zeigt alle relevanten Logfiles zum VDR an          #"
        echo "# hw - zeigt jede vom System erkannte Hardware an          #"
        echo "# remote - zeigt relevante Logfiles zu Fernbedienungen an  #"
        echo "# hd - zeigt relvantes zu Festplatten an                   #"
        echo "# setup - zeigt Setuplogs an                               #"
        echo "# all - zeigt alle verfügbaren Logfiles/Informationen an   #"
        echo "# help - zeigt diese Beschreibung an                       #"
        echo "#                                                          #"
        echo "############################################################"
}

############################################################################

# net ####################################################################
function net {

rm /var/www/log/easyinfo.net.zip
rm /var/www/log/easyinfo.net.log

date=$(date)
logger "erstelle easyInfo-Net"

echo $date >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "##### ifconfig                                  #####" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
ifconfig >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "##### iwconfig                                  #####" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
iwconfig >> /var/www/log/easyinfo.net.log
echo "">> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "##### interfaces                                #####" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
cat /etc/network/interfaces >> /var/www/log/easyinfo.net.log
echo "">> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "##### resolv.conf                               #####" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
cat /etc/resolv.conf >> /var/www/log/easyinfo.net.log
echo "">> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "##### sysconfig | grep LAN                      #####" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
cat $CFG_DIR/sysconfig | grep LAN >> /var/www/log/easyinfo.net.log
echo "">> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "##### lsmod                                     #####" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
lsmod >> /var/www/log/easyinfo.net.log
echo "">> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "##### hwinfo --netcard                          #####" >> /var/www/log/easyinfo.net.log
echo "#####################################################" >> /var/www/log/easyinfo.net.log
echo "" >> /var/www/log/easyinfo.net.log
hwinfo --netcard >> /var/www/log/easyinfo.net.log
echo "">> /var/www/log/easyinfo.net.log

zip -j /var/www/log/easyinfo.net.zip /var/www/log/easyinfo.net.log
chown www-data /var/www/log/easyinfo.net.log
}

# audio ######################################################################
function audio {

rm /var/www/log/easyinfo.audio.zip
rm /var/www/log/easyinfo.audio.log

date=$(date)
logger "erstelle easyInfo-Audio"

echo $date >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### aplay -l                                  #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
aplay -l >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### aplay -L                                  #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
aplay -L >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### /etc/modprobe.d/sound.conf                #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
cat /etc/modprobe.d/sound.conf >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### ls -l /etc/asound.conf                    #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
ls -l /etc/asound.conf >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### cat /etc/asound.conf                      #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
cat /etc/asound.conf >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### cat /proc/asound/version                  #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
cat /proc/asound/version  >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### alsactl --version                         #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
alsactl --version >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### var/log/easyvdr/easyvdr-config-audio.log  #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
cat $EASYVDR_LOGDIR/easyvdr-config-audio.log >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### $PLUGIN_CFG_DIR/xineliboutput/config #####"      >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
cat $PLUGIN_CFG_DIR/xineliboutput/config | grep audio >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### /home/easyvdr/.xbmc/userdata/guisettings.xml ##" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
StartSect=$(egrep -n "<audio>" /home/easyvdr/.xbmc/userdata/guisettings.xml | awk 'END{print}' | cut -d":" -f1)
EndSect=$(egrep -n "</audio>" /home/easyvdr/.xbmc/userdata/guisettings.xml | awk 'END{print}' | cut -d":" -f1)
awk "NR==$StartSect,NR==$EndSect" /home/easyvdr/.xbmc/userdata/guisettings.xml >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
StartSect=$(egrep -n "<audiooutput>" /home/easyvdr/.xbmc/userdata/guisettings.xml | awk 'END{print}' | cut -d":" -f1)
EndSect=$(egrep -n "</audiooutput>" /home/easyvdr/.xbmc/userdata/guisettings.xml | awk 'END{print}' | cut -d":" -f1)
awk "NR==$StartSect,NR==$EndSect" /home/easyvdr/.xbmc/userdata/guisettings.xml >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### $CFG_DIR/easyvdr-frontend-softhddevice.conf"     >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
cat $CFG_DIR/easyvdr-frontend-softhddevice.conf >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "##### hwinfo --pci                              #####" >> /var/www/log/easyinfo.audio.log
echo "#####################################################" >> /var/www/log/easyinfo.audio.log
echo "" >> /var/www/log/easyinfo.audio.log
hwinfo --pci >> /var/www/log/easyinfo.audio.log
echo "">> /var/www/log/easyinfo.audio.log

zip -j /var/www/log/easyinfo.audio.zip /var/www/log/easyinfo.audio.log
chown www-data /var/www/log/easyinfo.audio.log
}

# vdr ######################################################################
function vdr {

rm /var/www/log/easyinfo.vdr.zip
rm /var/www/log/easyinfo.vdr.log

date=$(date)
logger "erstelle easyInfo-VDR"

echo $date >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### /var/log/syslog                           #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
tail -n 4000 /var/log/syslog >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### /usr/share/easyvdr/easyvdr-version        #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
cat /usr/share/easyvdr/easyvdr-version >> /var/www/log/easyinfo.vdr.log
echo "">> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### setup.conf                                #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
cat $CFG_DIR/setup.conf >> /var/www/log/easyinfo.vdr.log
echo "">> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### sysconfig                                 #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
cat $CFG_DIR/sysconfig >> /var/www/log/easyinfo.vdr.log
echo "">> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### vdr-setup.xml                                 #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
cat $PLUGIN_CFG_DIR/setup/vdr-setup.xml >> /var/www/log/easyinfo.vdr.log
echo "">> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### uptime/load                               #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
uptime >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### ps -ax                                    #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
ps -ax >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### femon -H -c5 -a0                          #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
sudo femon -H -c5 -a0 >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### femon -H -c5 -a1                          #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
sudo femon -H -c5 -a1 >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### vdpauinfo                                 #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
DISPLAY=:0 vdpauinfo >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### cat /etc/X11/xorg.conf                    #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
cat /etc/X11/xorg.conf >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### cat /var/log/Xorg.0.log                   #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
cat /var/log/Xorg.0.log >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### dpkg -l easyvdr*                          #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
dpkg -l easyvdr* >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### dpkg -l vdr*                              #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
dpkg -l vdr* >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### dpkg -l linux*                            #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
dpkg -l linux* >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "##### uname -a                                  #####" >> /var/www/log/easyinfo.vdr.log
echo "#####################################################" >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log
uname -a >> /var/www/log/easyinfo.vdr.log
echo "" >> /var/www/log/easyinfo.vdr.log

zip -j /var/www/log/easyinfo.vdr.zip /var/www/log/easyinfo.vdr.log
chown www-data /var/www/log/easyinfo.vdr.log
}

# hw #######################################################################
function hw {

rm /var/www/log/easyinfo.hw.zip
rm /var/www/log/easyinfo.hw.log

date=$(date)
logger "erstelle easyInfo-Hardware"

echo $date >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "##### lspci -nn                                 #####" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
lspci -nn >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "##### lsusb                                     #####" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
lsusb >> /var/www/log/easyinfo.hw.log
echo "">> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "##### hdet                                      #####" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
hdet >> /var/www/log/easyinfo.hw.log
echo "">> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "##### hwinfo --disk                             #####" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
hwinfo --disk >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "##### hwinfo --cdrom                            #####" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
hwinfo --cdrom >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "##### hwinfo --cpu                              #####" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
hwinfo --cpu >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "##### hwinfo --memory                           #####" >> /var/www/log/easyinfo.hw.log
echo "#####################################################" >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log
hwinfo --memory >> /var/www/log/easyinfo.hw.log
echo "" >> /var/www/log/easyinfo.hw.log

zip -j /var/www/log/easyinfo.hw.zip /var/www/log/easyinfo.hw.log
chown www-data /var/www/log/easyinfo.hw.log
}

# remote ###################################################################
function remote {

rm /var/www/log/easyinfo.remote.zip
rm /var/www/log/easyinfo.remote.log

date=$(date)
logger "erstelle easyInfo-Remote"

echo $date >> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "##### cat $CFG_DIR/remote.conf                  #####" >> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "" >> /var/www/log/easyinfo.remote.log
cat $CFG_DIR/remote.conf >> /var/www/log/easyinfo.remote.log
echo "" >> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "##### cat /etc/lirc/lircd.conf                  #####" >> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "" >> /var/www/log/easyinfo.remote.log
cat /etc/lirc/lircd.conf >> /var/www/log/easyinfo.remote.log
echo "">> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "##### cat $CFG_DIR/sysconfig | grep LIRC        #####" >> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "" >> /var/www/log/easyinfo.remote.log
cat $CFG_DIR/sysconfig | grep LIRC >> /var/www/log/easyinfo.remote.log
echo "">> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "##### cat $CFG_DIR/sysconfig | grep REMOTE      #####" >> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "" >> /var/www/log/easyinfo.remote.log
cat $CFG_DIR/sysconfig | grep REMOTE >> /var/www/log/easyinfo.remote.log
echo "">> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "##### ls -l /dev/input                          #####" >> /var/www/log/easyinfo.remote.log
echo "#####################################################" >> /var/www/log/easyinfo.remote.log
echo "" >> /var/www/log/easyinfo.remote.log
ls -l /dev/input >> /var/www/log/easyinfo.remote.log
echo "">> /var/www/log/easyinfo.remote.log

zip -j /var/www/log/easyinfo.remote.zip /var/www/log/easyinfo.remote.log
chown www-data /var/www/log/easyinfo.remote.log
}

# hd ######################################################################
function hd {

rm /var/www/log/easyinfo.hd.zip
rm /var/www/log/easyinfo.hd.log

date=$(date)
logger "erstelle easyInfo-Harddisk"

echo $date >> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "##### hwinfo --disk                             #####" >> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "" >> /var/www/log/easyinfo.hd.log
hwinfo --disk >> /var/www/log/easyinfo.hd.log
echo "" >> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "##### hwinfo --cdrom                            #####" >> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "" >> /var/www/log/easyinfo.hd.log
hwinfo --cdrom >> /var/www/log/easyinfo.hd.log
echo "">> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "##### fdisk -l                                  #####" >> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "" >> /var/www/log/easyinfo.hd.log
fdisk -l >> /var/www/log/easyinfo.hd.log
echo "">> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "##### df -h                                     #####" >> /var/www/log/easyinfo.hd.log
echo "#####################################################" >> /var/www/log/easyinfo.hd.log
echo "" >> /var/www/log/easyinfo.hd.log
df -h >> /var/www/log/easyinfo.hd.log
echo "">> /var/www/log/easyinfo.hd.log

zip -j /var/www/log/easyinfo.hd.zip /var/www/log/easyinfo.hd.log
chown www-data /var/www/log/easyinfo.hd.log
}

# setup ######################################################################
function setup {

rm /var/www/log/easyinfo.setup.zip
rm /var/www/log/easyinfo.setup.log

date=$(date)
logger "erstelle easyInfo-Setup"

echo $date >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "##### cat easyvdr-config-audio.log              #####" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
cat $EASYVDR_LOGDIR/easyvdr-config-audio.log >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "##### cat easyvdr-HW-detect_install.log         #####" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
cat $EASYVDR_LOGDIR/easyvdr-HW-detect_install.log >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "##### cat easyvdr-HW-detect.log                 #####" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
cat $EASYVDR_LOGDIR/easyvdr-HW-detect.log >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "##### cat easyvdr-setup-extras.log              #####" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
cat $EASYVDR_LOGDIR/easyvdr-setup-extras.log >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "##### cat setup.state                           #####" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
cat $EASYVDR_LOGDIR/setup.state >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "##### cat update.log                            #####" >> /var/www/log/easyinfo.setup.log
echo "#####################################################" >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log
cat $EASYVDR_LOGDIR/update.log >> /var/www/log/easyinfo.setup.log
echo "" >> /var/www/log/easyinfo.setup.log

zip -j /var/www/log/easyinfo.setup.zip /var/www/log/easyinfo.setup.log
chown www-data /var/www/log/easyinfo.setup.log
}

# all ######################################################################
function all {

rm /var/www/log/easyinfo.all.zip
rm /var/www/log/easyinfo.all.log

date=$(date)
logger "erstelle easyInfo-All"

/var/www/scripts/easyinfo2.sh net
/var/www/scripts/easyinfo2.sh audio
/var/www/scripts/easyinfo2.sh vdr
/var/www/scripts/easyinfo2.sh hw
/var/www/scripts/easyinfo2.sh hd
/var/www/scripts/easyinfo2.sh setup
/var/www/scripts/easyinfo2.sh remote

cat /var/www/log/easyinfo.net.log /var/www/log/easyinfo.audio.log /var/www/log/easyinfo.vdr.log /var/www/log/easyinfo.hw.log /var/www/log/easyinfo.hd.log /var/www/log/easyinfo.setup.log /var/www/log/easyinfo.remote.log >> /var/www/log/easyinfo.all.log
zip -j /var/www/log/easyinfo.all.zip /var/www/log/easyinfo.all.log
chown www-data /var/www/log/easyinfo.all.log
}

# main

case $1 in
        help) # Hilfe anzeigen
                hilfe
        ;;

        net) # Aufruf von easyInfoNet
                net
        ;;

        audio) # Aufruf von easyInfoAudio
                audio
        ;;

        vdr) # Aufruf von easyInfoVDR
                vdr
        ;;

        hw) # Aufruf von easyInfoHardware
                hw
        ;;

        remote) # Aufruf von easyInfoRemote
                remote
        ;;

        hd) # Aufruf von easyInfoHD
                hd
        ;;

        setup) # Aufruf von easyInfoSetup
                setup
        ;;

        all) # Aufruf von easyInfoAll
                all
        ;;

        *) # Ungültige Eingabe
                hilfe
                exit 1
        ;;
esac
